Bug 847456 - BUG: unable to handle kernel NULL pointer dereference at .. tcp_finish_connect
BUG: unable to handle kernel NULL pointer dereference at .. tcp_finish_connect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 11:30 EDT by Richard W.M. Jones
Modified: 2012-08-13 11:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 09:45:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing stack trace (1.89 MB, image/jpeg)
2012-08-11 11:43 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2012-08-11 11:30:53 EDT
Description of problem:

Kernel crashes randomly in tcp_finish_connect.

For the full stack trace, see the attached screenshot.

Version-Release number of selected component (if applicable):

kernel-3.6.0-0.rc1.git3.2.bz844485.fc19.x86_64
(kernel-3.6.0-0.rc1.git3.2 + the 4 patches mentioned in bug 844485)

How reproducible:

Twice already.

Steps to Reproduce:
1. Do stuff, crashes randomly.

This email seems relevant:
http://www.spinics.net/lists/netdev/msg207318.html
Comment 1 Richard W.M. Jones 2012-08-11 11:43:05 EDT
Created attachment 603695 [details]
screenshot showing stack trace

tcp_finish_connect
tcp_rcv_state_process
sched_clock
native_sched_clock
tcp_v4_do_rcv
release_sock
__inet_stream_connect
trace_hardirqs_on
wake_up_bit
inet_stream_connect
inet_stream_connect
sys_connect
Comment 2 Richard W.M. Jones 2012-08-11 11:43:38 EDT
FYI I am building and testing a kernel that contains
the patch from comment 0.
Comment 3 Richard W.M. Jones 2012-08-11 12:34:37 EDT
The patch mentioned in the email in comment 0 does appear
to fix the problem, so far.
Comment 4 Richard W.M. Jones 2012-08-11 14:31:59 EDT
Been running for ~2 hours without crashing, whereas before
applying the patch it ran for about 5 mins.
Comment 5 Richard W.M. Jones 2012-08-12 16:14:21 EDT
My uptime is now just over a day:

$ uptime
 21:13:54 up 1 day,  3:47,  2 users,  load average: 0.00, 0.01, 0.05

So I think I can say that the patch works ...
Comment 6 Josh Boyer 2012-08-13 09:45:26 EDT
That patch got sucked in through patch-3.6-rc1-git5.xz today.  Should be fixed in tomorrow's f18/rawhide.

Thanks for the report.
Comment 7 Mads Kiilerich 2012-08-13 11:47:45 EDT
I confirm that 3.6.0-0.rc1.git5.1.fc18.x86_64 is substantially better in this area.

Note You need to log in before you can comment on or make changes to this bug.